Bug 133490 - Creative MuVo pendrive doesn't work with kernel-2.6.8-1.541
Creative MuVo pendrive doesn't work with kernel-2.6.8-1.541
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Depends On:
  Show dependency treegraph
Reported: 2004-09-24 09:21 EDT by Karol Kozimor
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:29:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
kernel log with the oops recorded (15.12 KB, text/plain)
2004-09-24 09:24 EDT, Karol Kozimor
no flags Details
usb-storage debug output (14.99 KB, text/plain)
2004-09-24 09:29 EDT, Karol Kozimor
no flags Details

  None (edit)
Description Karol Kozimor 2004-09-24 09:21:00 EDT
Description of problem: 
After the pendrive is plugged in, the following appears: 
SCSI device sda: 256001 512-byte hdwr sectors (131 MB) 
sda: Write Protect is off 
sda: Mode Sense: 03 00 00 04 
sda: assuming drive cache: write through 
 sda:end_request: I/O error, dev sda, sector 256000 
Buffer I/O error on device sda, logical block 256000 
After the device is unplugged there are further messages and a 
subsequent oops (see attached files). 
Version-Release number of selected component (if applicable): 
How reproducible: 
Additional info: 
This seems to be a more general problem of Fedora-like kernels or 
kernel configs, I can't reproduce it with a vanilla kernel using 
custom config.
Comment 1 Karol Kozimor 2004-09-24 09:24:06 EDT
Created attachment 104264 [details]
kernel log with the oops recorded
Comment 2 Karol Kozimor 2004-09-24 09:29:20 EDT
Created attachment 104265 [details]
usb-storage debug output

Note: since kernel-source is gone and I don't have time to set up a proper
testbox, this log is from a different kernel (2.6.7-10.0.aur.9 specifically)
that also doesn't properly handle the device (but won't oops for what it
Comment 3 Pete Zaitcev 2004-11-24 19:07:34 EST
This is a manifestation of "first wave" of those (Cancel->Offline).
We're past those and are wrestling with "NULL->Offline" now.
Should be ready Real Soon Now...
Comment 4 Dave Jones 2004-11-27 15:24:44 EST
mass update for old bugs:

Is this still a problem with the 2.6.9 based update kernel ?
Comment 5 Nick Lamb 2005-01-04 21:51:22 EST
2.6.9-1.681_FC3 here

Plugging in a MuVo trashes the USB subsystem after the error message
described in this bug report (Buffer I/O error on device sda, logical
block 256000)

Trashed = Most USB related stuff hangs, including the kernel thread
khubd and software like 'lsusb'. Reboot seems to be the only fix.
Meanwhile an Oops may happen (but I couldn't reproduce one while
trying for the purposes of adding this bug report).

If I disable hotplug before inserting the MuVo then everything seems
fine, until I manually insert the USB Mass storage module
'usb-storage'. The insmod hangs, the Buffer I/O error is reported as
above, and USB is again trashed.

This seems like a problem in usb-storage.ko, are there any recent
patches to address this sort of thing? The MuVo is not fundamentally
very different from several other devices I own, which work fine. It
has the same chip (Sigmatel's STMP3410 iirc) but with different firmware.
Comment 6 Nick Lamb 2005-01-11 11:00:15 EST
Upgraded to newly available 2.6.10-1.737_FC3 using up2date / yum from
FC3 updates

MuVo is now recognised, appears on GNOME desktop, and I was able to
copy files to and from it just like my other STMP3410 devices. I see
there were many USB storage changes pending in 2.6.10 any one of which
could be relevant, therefore presumably resolve bug and list
2.6.10-1.737_FC3 as version with fix.

Comment 7 Karol Kozimor 2005-01-26 08:15:55 EST
Indeed, 2.6.10-1.1109_FC4 also works fine.  
Incidentally, plugging and unplugging the pendrive on a fresh 
2.6.9-1.1049_FC4 causes a series of 73 oopses before the final panic. 
Comment 8 Pete Zaitcev 2005-06-28 13:28:28 EDT
How does the FC4 work for you?
Comment 9 Dave Jones 2005-07-15 15:49:08 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 10 Dave Jones 2005-10-02 20:29:48 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.